Supported operating system versions

Contributors

Before installing SMI-S Provider, you must verify that the Windows host is running a supported operating system.

Operating system Supported versions Required client software

Windows

  • Microsoft Windows Server 2016

  • Microsoft Windows Server 2019

The Microsoft Visual C++ 2010 runtime libraries are automatically installed during the SMI-S Provider installation. To avoid potential issues related to runtime libraries, you must install Microsoft Visual C++ 2010 Redistributable Package (x86). from the following location: http://www.microsoft.com

SCVMM 2016 UR 2.1 requirement

System Center Virtual Machine Manager (SCVMM) 2016 Update Rollup (UR) 2.1 is required to manage NetApp File Server with NetApp SMI-S Provider 5.2.4 and later.

Without this UR, SCVMM 2016 displays the value of the Total Capacity and Available Capacity options as 0 GB for the existing file shares in NetApp File Server.

To run SMI-S Provider, the provider host machine must meet the following specifications:

  • The provider host machine cannot be used to host a Hyper-V node.

  • SCVMM must not be running on the provider host machine.

  • The provider host machine must not run other programs that are memory-intensive.

  • The provider host machine must not run SMI-S providers from any other vendor.

The following hypervisors are supported:

  • Microsoft Windows Server 2016 Hyper-V

  • VMware ESX 5.0

  • VMware ESX 5.1

  • VMware ESX 5.5

  • VMware ESX 6.0